Bug 138467 - [GTK] Use API::ContextMenuClient and API::InjectedBundle::PageContextMenuClient classes
Summary: [GTK] Use API::ContextMenuClient and API::InjectedBundle::PageContextMenuClie...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: Gtk
Depends on: 138466
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-06 07:51 PST by Carlos Garcia Campos
Modified: 2015-01-22 00:30 PST (History)
6 users (show)

See Also:


Attachments
Patch (22.86 KB, patch)
2014-11-06 08:00 PST, Carlos Garcia Campos
gns: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Garcia Campos 2014-11-06 07:51:08 PST
To simplify the implementation of the context menu.
Comment 1 Carlos Garcia Campos 2014-11-06 08:00:11 PST
Created attachment 241108 [details]
Patch
Comment 2 WebKit Commit Bot 2014-11-06 08:01:06 PST
Thanks for the patch. If this patch contains new public API please make sure it follows the guidelines for new WebKit2 GTK+ API. See http://trac.webkit.org/wiki/WebKitGTK/AddingNewWebKit2API
Comment 3 Gustavo Noronha (kov) 2014-11-10 15:05:12 PST
Comment on attachment 241108 [details]
Patch

LGTM
Comment 4 Carlos Garcia Campos 2015-01-22 00:30:44 PST
Committed r178892: <http://trac.webkit.org/changeset/178892>